NXOpen.UF.ModlFeatures.CreateCyl1

ModlFeatures.CreateCyl1()

Refer to UF_MODL_create_cyl1 for documentation.

Signature: CreateCyl1(sign, origin, height, diam, direction)

Parameters:
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • origin (list of float) – Origin of cylinder to be created.
  • height (str) – Height of cylinder to be created.
  • diam (str) – Diameter of cylinder to be created.
  • direction (list of float) – Direction vector for cylinder to be created.
Returns:

Feature object identifier of created cylinder

Return type:

Tag

License requirements: SOLIDS MODELING